package com.ruoyi.screen.service;

import com.ruoyi.screen.domain.response.*;

import java.util.List;

/**
 * 太仓综治网络管理业务层
 */
public interface ZongzhiScreenManageService {

    /**
     * 工作动态
     */
    public ZongzhiWorkDynamicsCountResponse getWorkDynamics();




    /**
     * 举报总数和处置率
     */
    public ZongzhiNetworkReportResponse getNetworkReport();




    /**
     * 请朗专项行动数据统计
     */
    public List<ZongzhiActionResponse> getaction();




    /**
     * 举报时间年度分类统计
     */
    public List<ZongzhiReportByYearResponse> getReportByYear();


    /**
     * 清朗专项行动动态
     */
    public List<ZongzhiActionDynamicstResponse> getActionDynamicst();



    /**
     * 地图
     */
    public List<ZongzhiMapResponse> getMap();


}
